<script type="text/javascript">
$(document).ready(function() {
    /* Build the DataTable with third column using our custom sort functions */
   $('select').select2();
	jQuery('.datepicker2').datepicker({
			dateFormat : 'dd-mm-yy',
			changeMonth : true,
			changeYear : true
			});
    var oTable = $("#test").dataTable( {
        "iDisplayLength": 10,
		 "aLengthMenu": [5,10,25,50,100],
		 "asSorting": [ "asc"], "aTargets": [ 1 ],
		 "sPaginationType": "full_numbers", "aoColumns": [ { 
		 	"bSortable": false }, 
			null, 
			null,
			null,
			null,
			null,
			null,
			null, { 
			"bSortable": false } ]});
			
		 oTable.fnSort( [ [1,'asc'] ] );
    $("table .checkall1").live("click", "checkall1",function(){           
		$(oTable.fnGetNodes()).find(':checkbox').prop('checked', this.checked);
	});
    $("table.editable").on("click",".edit",function(){
        rRow = $(this).parents("tr");
        ID = $('td:first', $(this).parents('tr')).text(); 
        $("#row_edit").dialog("open");
    });
	
	
    $("#row_edit").dialog({
        autoOpen: false,
        resizable: false,        
        modal: true,
        buttons: {
            "Continue...": function() {
				window.location.href = "<?php echo base_url();?>gltransaction/editgstjournal/" + ID;		
                $(this).dialog("close");
            },
            Cancel: function() {
                $(this).dialog("close");
            }
        }
    });    
}); 
		
   		$("table.editable").on("click",".remove",function(){
        rRow = $(this).parents("tr");
        ID = $('td:first', $(this).parents('tr')).text(); 
        $("#row_delete").dialog("open");
    });
	
	
 
function changeList(){
	var addyear = $('#add_year option:selected').val();
	var addper = $('#add_period option:selected').val();
	var urls = "<?php echo base_url()?>gltransaction/gstjournalConfirm/"+addyear+"/"+addper;
		window.location = urls;
} 

function postGT(){
   	var oTable = $("#test").dataTable( );
   	console.log($(oTable.fnGetNodes()).length);
   	var count = 0;
	$(oTable.fnGetNodes()).find(':checkbox').each(function () {
        if($(this).is(':checked')){
			var $ID = $('td:first', $(this).parents('tr')).text(); 
			var $date = $('td:eq(2)', $(this).parents('tr')).text(); 
			var postData = {
				'ID' : $ID,
				'date' : $date,
			};
 			$.ajax({
  				type: "POST",
	  			dataType: "json",
				url: "<?php echo base_url()?>gltransaction/gstconfirmposting",
				data: postData ,
	  			async: false,
  				success: function(content){
				
				}
			});
		}
		count++;
		console.log(count);
		if(count == $(oTable.fnGetNodes()).length){
			window.location.reload(true);		
		}
	});
}
function selectYearPeriod(obj){
		var year = obj.value;
//		alert(year);
			
			$.ajax({
  				type: "POST",
	  			dataType: "json",
				url: "<?php echo base_url()?>glreports/get_TrialBalance_year/"+year,
				data: year,
	  			async: false,
  				success: function(content){
					if(content.status == "success") {
					var items = [];
					//items.push('<option>-Please Select-</option>');
					for ( var i = 0; i < content.message.length; i++) {
					items.push('<option value="'+content.message[i].period+'">'
						+ content.message[i].financialPeriod + '</option>');
					}  //end for
					jQuery("#add_period").empty();
					jQuery("#add_period").append(items.join('</br>'));
					//jQuery("#add_period").val(null);
					$("#add_period").select2();
				} else {
					jQuery("#add_period").empty();
					$("#error").html('<p>'+content.message+'</p>');
					$("#add_period").select2('val',null);
				} //end if
			} //end success
				
			}); //end ajax
}
</script>

<div id="content">                        
<div class="wrap">
	<div class="head">
		<div class="info">
			<!--<h1><?php echo element('compName', $this->session->userdata('logged_in')) ?> [ 
				<?php echo element('compNo', $this->session->userdata('logged_in')) ?> ]</h1>-->
			<ul class="breadcrumb">
            	<li><a href="#"><?php echo $this->lang->line('dashboard') ?></a> <span class="divider">-</span></li>
                <li><a href="<?php echo base_url() ?>ap/home"><?php echo $this->lang->line('module') ?></a> <span class="divider">-</span></li>
                <li class="active"><?php echo $this->lang->line('gstlisttitle') ?></li>
            </ul>
		</div>
		<div class="search">
			<form action="<?php echo base_url() ?>admin/search" method="post">
				<input name="search_text" type="text" placeholder="search..."/>                                
            	<button type="submit"><span class="i-magnifier"></span></button>
			</form>
		</div>                        
	</div><!-- head --> 
<div class="content">
<div class="wrap">                    
	<div class="row-fluid">
		<div class="span12">
        	<div class="block">
            	<div class="head">
                    	<h2><?php echo $this->lang->line('gstlist');?></h2>
                    </div><!-- head -->
				<div class="content np">    
                	<div class="controls-row"><!-- Row 4-->
						<div class="span5 tac">
                    	<div class="span2 tar"><?php echo $this->lang->line('year');?></div>
						<?php
							$preselyear = $selyear;
							$options = '';
							$options[NULL] = $this->lang->line('selectyear');
							if($yrs){
								foreach($yrs as $row){
									$options[$row] = $row;
								}
							}
							$js='onchange="selectYearPeriod(this)" class="input-medium" id="add_year"';

							echo form_dropdown('add_year', $options, $preselyear, $js);
						?>       
                        </div>
						<div class="span5 tac">
                    	<div class="span2 tar"><?php echo $this->lang->line('period');?></div>
						<?php
							$preselperiod = $selper;
							$options = '';
							$options[NULL] = $this->lang->line('period');
							if($period){
								foreach($period as $row){
									$options[$row->period] = $row->financialPeriod;
								}
							}
							$js='class="input-medium" id="add_period" style="width:75%"';

							echo form_dropdown('add_period', $options, $preselperiod, $js);
						?>       
                        </div>
						<div class="span2 tac">
                        <?php 
							$data = array(
									'name'=>'mysubmit', 
									'class'=>'btn-form btn-success-form');
									$js="onClick='changeList()'";
							echo form_button($data,$this->lang->line('submit'),$js);
							?>
                        </div>
                 	</div><!-- End Row 4-->
				</div><!-- content -->
            	<div class="head">
                	<h2><?php echo $this->lang->line('gstlist');?></h2>
                </div>
            	<div class="content np table-sorting">
            	<table cellpadding="0" cellspacing="0" width="100%" id="test" class="editable">
                	<thead>
                    <tr>
            			<th style="display:none"></th>
            			<th class="tac">#</th>
                        <th class="tac"><?php echo $this->lang->line('date');?></th>
                        <th class="tac"><?php echo $this->lang->line('FormNo');?></th>
						<th><?php echo $this->lang->line('vendor_cust_name');?></th>
                        <th class="tac"><?php echo $this->lang->line('type');?></th>
                        <th class="tar"><?php echo $this->lang->line('gst_number');?></th>
                        <th class="tar"><?php echo $this->lang->line('based_amount');?></th>
                        <th class="tac"><input type="checkbox" id="checkall1" class="checkall1"/></th>
            		</tr>
        			</thead>
       				 <tbody>
			<?php $bil = 0; 
				if($datatbls){
				foreach($datatbls as $datatbl):
				$bil++?>
            	<tr>
                	<td style="display:none" ><?php echo $datatbl->ID; ?></td>	
             		<td><?php echo $bil; ?></td>
                    <td class="tac"><?php echo date("d-m-Y", strtotime($datatbl->date)); ?></td>
                    <td class="tac"><a title="Edit" class="btn btn-mini btn-link edit"><?php echo $datatbl->formNo; ?></a></td>         
                    <td><?php echo $datatbl->vendor_cust_name?></td>
                    <td class="tac"><?php echo $datatbl->type?></td>
                    <td class="tar"><?php echo $datatbl->gst_number; ?></td>
                    <td class="tar"><?php echo number_format($datatbl->based_amount,2); ?></td>
                    <td class="tac"><input type="checkbox" class="checkbox" id="checkbox"/></td>
                </tr>
            <?php endforeach; }?>
                     </tbody>
                     </table>
				</div><!-- content -->
            <div class="footer">
            	<div class="side fr">
                	<div class="btn-group">
                        <?php 
							$data = array(
									'name'=>'postGT', 
									'class'=>'btn-form btn-warning-form');
							$js='onclick="postGT()"';
							echo form_submit($data,$this->lang->line('confirm'),$js);
							?>
                    </div>
                </div>
            </div>                                    
				</div><!-- block -->
			</div><!-- span12 -->
		</div><!-- row-fluid -->	
	</div><!-- wrap -->
</div><!-- content -->
	</div><!-- wrap -->
</div><!-- content -->
<div class="dialog" id="row_edit" style="display: none;" title="<?php echo $this->lang->line("edit") ?>">
    <p><?php echo $this->lang->line('transactionedit');?></p>
</div>  

